/*******************************************************************************
 * FoxDeathMessage generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDeathMessage extends LocalMessage;

const DEATHMSG_Suicide = 0;
const DEATHMSG_Headshot = 1;
const DEATHMSG_Fall = 2;
const DEATHMSG_Smite = 3;
const DEATHMSG_Kill = 4;
const DEATHMSG_KillWeapon = 5;
const DEATHMSG_ICON_WIDTH = 32;
const DEATHMSG_ICON_HEIGHT = 16;

static function string GetDeathString(PlayerController PC, optional int Switch, optional PlayerReplicationInfo RelatedPRI_1, optional PlayerReplicationInfo RelatedPRI_2, optional Object OptionalObject)
{
    return "Invalid death message string!" @ string(Switch);
    //return ReturnValue;    
}

static function ClientReceive(PlayerController PC, optional int Switch, optional PlayerReplicationInfo RelatedPRI_1, optional PlayerReplicationInfo RelatedPRI_2, optional Object OptionalObject)
{
    local string MessageString;

    MessageString = GetDeathString(PC, Switch, RelatedPRI_1, RelatedPRI_2, OptionalObject);
    // End:0x82
    if(MessageString != "")
    {
        // End:0x82
        if(FoxHUD(PC.myHUD) != none)
        {
        }
    }
    //return;    
}

defaultproperties
{
    PosY=0.30
    FontSize=1
}